

const require_KeyManagementError = require('./KeyManagementError.js');

//#region src/modules/kms/error/KeyManagementAlgorithmNotSupportedError.ts
var KeyManagementAlgorithmNotSupportedError = class extends require_KeyManagementError.KeyManagementError {
	constructor(notSupported, backend) {
		super(`${backend} backend does not support ${notSupported}.`);
		this.backend = backend;
	}
};

//#endregion
exports.KeyManagementAlgorithmNotSupportedError = KeyManagementAlgorithmNotSupportedError;